Index: branch/KIS/sp4a12/main.c
===================================================================
--- branch/KIS/sp4a12/main.c	(revision 183)
+++ branch/KIS/sp4a12/main.c	(revision 184)
@@ -14,41 +14,117 @@
                     "$GPZDA,141914.00,01,02,2006,00,00*69",
                     0};
 
-int trame_cmp(char* a,char* b){
-    return 0;
+int trame_cmp(char* trame,char* type)
+{
+   int i = 0, a = 0;
+   for (i=0;i<5;i++)
+   {
+        if (trame[i+1] == type[i])
+        {
+        }
+
+        else if ((trame[i+1] == '\0') || (type[i] == '\0') || (trame[i+1] == ','))
+        {
+        a = trame[i] - type[i];
+        }
+
+        else
+        {
+            a = trame[i+1] - type[i];
+        }
+   }
+    if (a==0)
+    {
+        printf("Trame commencant par GPGGA :\n");
+        printf("%s\n",trame);
+        return 1;
+    }
+    else
+    {
+       return 0;
+    }
 }
+
+int decode_int(char ch)
+{
+    int dec;
+
+    if(ch<='9' && ch>='0')
+    {
+        dec=ch-'0';
+        return dec;
+    }
+    else
+    {
+        return (-1);
+    }
+}
+
+int decode_nombre(char *ch, int n)
+{
+    int i=0, res=0;
+
+    for (i=0; i<n; i++)
+    {
+        res = res*10 + decode_int(&ch[i]);
+    }
+    return res;
+}
 
 //Fonction à modifier !!!!!
 void traitement(char * trame)
 {
-    static int cpt=0 ;
-
+    static int cpt=0 ;
     printf ("> %s\n",trame);
     cpt++ ;
 }
 
 //Ajouter vos tests unitaires dans cette fonction.
-void tests_unitaires(void){
-    if (5!=5){
-        printf ("Erreur Test unitaire basique.\n");
-        exit(-1);
-    }/*
-    if (trame_cmp("$GPGGA suite chaine","GPGGA")!=1){
-        printf ("Erreur Test unitaire trame_cmp.\n");
-        exit(-1);
-    }
-    if (trame_cmp("$GPRMC suite chaine","GPGGA")!=0){
-        printf ("Erreur Test unitaire trame_cmp.\n");
-        exit(-1);
-    }
-    if (trame_cmp("$GPRMC... ", "GPRMC" )!=1){
-        printf ("Erreur Test unitaire trame_cmp.\n");
-        exit(-1);
-    }
-    if (trame_cmp("$APRMC...", "GPGGA")!=0){
-        printf ("Erreur Test unitaire trame_cmp.\n");
-        exit(-1);
-    }*/
+void tests_unitaires(void)
+{
+    if (5!=5){
+        printf ("Erreur Test unitaire basique.\n");
+        exit(-1);
+    }
+    if (trame_cmp("$GPGSV,3,2,10,15,03,077,,18,04,041,42,19,85,271,,20,08,214,*7C","GPGGA")!=0){
+        printf ("Erreur Test unitaire trame_cmp.\n");
+        exit(-1);
+    }
+    if (trame_cmp("$GPGSV,3,3,10,22,39,053,50,28,15,320,*7E","GPGGA")!=0){
+        printf ("Erreur Test unitaire trame_cmp.\n");
+        exit(-1);
+    }
+    if (trame_cmp("$GPRMC,141914.00,A,4545.6424,N,00306.6036,E,0.4,99.4,010206,,*0C", "GPGGA" )!=0){
+        printf ("Erreur Test unitaire trame_cmp.\n");
+        exit(-1);
+    }
+    if (trame_cmp("$GPGLL,4545.6424,N,00306.6036,E,141914.00,A*0E", "GPGGA")!=0){
+        printf ("Erreur Test unitaire trame_cmp.\n");
+        exit(-1);
+    }
+    if (trame_cmp("$GPGGA,141914.00,4545.0000,N,00306.6036,E,1,05,3.4,499.3,M,,M,,*7D", "GPGGA")!=1){
+        printf ("Erreur Test unitaire trame_cmp.\n");
+        exit(-1);
+    }
+    if (trame_cmp("$GPGSA,A,3,,03,,22,14,,01,,18,,,,3.9,3.4,1.9*39", "GPGGA")!=0){
+        printf ("Erreur Test unitaire trame_cmp.\n");
+        exit(-1);
+    }
+    if (trame_cmp("$GPVTG,99.4,T,,M,0.4,N,0.7,K*57", "GPGGA")!=0){
+        printf ("Erreur Test unitaire trame_cmp.\n");
+        exit(-1);
+    }
+    if (trame_cmp("$GPZDA,141914.00,01,02,2006,00,00*69", "GPGGA")!=0){
+        printf ("Erreur Test unitaire trame_cmp.\n");
+        exit(-1);
+    }
+    if (decode_int("GPGGA")!=0){
+        printf ("Erreur Test unitaire decode_int.\n");
+        exit(-1);
+    }
+
+
+    test_decode_int();  //test de la fonction decode_int
 }
 
 // Ne pas modifier cette fonction
@@ -66,10 +142,11 @@
     if (!trame_init())
         exit(-1);
     // Affichage des trames du fichier gps.log
-    char *trame;
+    char *trame;
     printf ("Trames de tests du fichier gps.log\n");
+
     while  ((trame = trame_suivante()))
         traitement(trame);
 
     return 0;
-}
+}